From: [email-masked]
Date: Thu, 14 Nov 2002 08:46:52 -0600 (CST)

gADNZS1i015448;
	Wed, 13 Nov 2002 16:35:28 -0700 (MST)
Date: Wed, 13 Nov 2002 17:35:27 -0600
From: Nicolas Williams <[email-masked]>
To: Tom Yu <[email-masked]>
Cc: [email-masked]
Subject: Re: some comments on newest kerberos-clarifications
Mail-Followup-To: Tom Yu <[email-masked]>, [email-masked]
<[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.2.5i
In-Reply-To: <[email-masked]>; from [email-masked] on Tue, Nov 12,
2002 at 12:05:15PM -0500
X-Spam-Status: No, hits=-102.3 required=6.0
	tests=IN_REP_TO,DOUBLE_CAPSWORD,USER_IN_WHITELIST
	version=2.31
Sender: [email-masked]
Precedence: bulk

Is the ASN.1 module in the clarifications draft supposed to be legal
ASN.1 that we can all validate/compile with suitable tools?

Shouldn't the constants defined in section 7.5 be listed in the module
as a matter of style?  If the module defines the protocol constants then
those will be made available to the developer by a ASN.1 compiler.

Cheers,

Nico
-- 

On Tue, Nov 12, 2002 at 12:05:15PM -0500, Tom Yu wrote:
> >>>>> "Nicolas" == Nicolas Williams [RU-CENTRAL] <Nicolas> writes:
> 
> Nicolas> Some of my comments and questions:
> 
> Nicolas>  - PA-ETYPE-INFO2 is not defined in the ASN.1 module in the appendix
> Nicolas>  - PA-ETYPE-INFO  is not defined in the ASN.1 module in the appendix
> Nicolas>  - PA-TGS-REQ     is not defined in the ASN.1 module in the appendix
> 
> This is symptomatic of a general confusion within the document between
> different uses of the word "type".  The word "type" may be used to
> refer to an ASN.1 type.  It may also be used to refer to an integer or
> OID that identifies the contents of a "hole" in the protocol.  The
> symbolic names attached to the numbers used to identify the contents
> of a protocol "hole" aren't used consistently.  Sometimes they're
> written like C preprocessor macros -- all caps, with underscores;
> sometimes they're written as ASN.1 value references -- initial
> lowercase letter, with hyphens; sometimes, as in the PA-* names,
> they're written in all caps with hyphens (valid in neither syntax!).
> 
> The PA-* names appear to name integers identifying the contents of the
> PA-DATA ASN.1 type.  The ASN.1 type (if it is in fact an ASN.1 type;
> some contents are not ASN.1 encoded...) often has a different name,
> possibly not beginning with "PA-".  The table in 5.2.7 maps between
> numeric identifiers and the associated contents of
> PA-DATA.padata-value.  There does appear to be an error in that
> pa-etype-info and pa-etype-info2 refer to the ASN.1 types
> PA-ETYPE-INFO and PA-ETYPE-INFO2, respectively, when they should
> probably instead refer to ETYPE-INFO and ETYPE-INFO2.
> 
> ---Tom
> 
> 
>